Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getBluetoothClients({
bluetoothClientId: "string",
connectivityHistoryTimespan: 1,
includeConnectivityHistory: false,
networkId: "string",
});
export const merakiNetworksBluetoothClientsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_bluetooth_clients(bluetooth_client_id="string",
connectivity_history_timespan=1,
include_connectivity_history=False,
network_id="string")
pulumi.export("merakiNetworksBluetoothClientsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetBluetoothClients(ctx, &networks.GetBluetoothClientsArgs{
BluetoothClientId: "string",
ConnectivityHistoryTimespan: pulumi.IntRef(1),
IncludeConnectivityHistory: pulumi.BoolRef(false),
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksBluetoothClientsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetBluetoothClients.Invoke(new()
{
BluetoothClientId = "string",
ConnectivityHistoryTimespan = 1,
IncludeConnectivityHistory = false,
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksBluetoothClientsExample"] = example.Apply(getBluetoothClientsResult => getBluetoothClientsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetBluetoothClientsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getBluetoothClients(GetBluetoothClientsArgs.builder()
.bluetoothClientId("string")
.connectivityHistoryTimespan(1)
.includeConnectivityHistory(false)
.networkId("string")
.build());
ctx.export("merakiNetworksBluetoothClientsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getBluetoothClients
arguments:
bluetoothClientId: string
connectivityHistoryTimespan: 1
includeConnectivityHistory: false
networkId: string
outputs:
merakiNetworksBluetoothClientsExample: ${example.item}
Using getBluetoothClients
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getBluetoothClients(args: GetBluetoothClientsArgs, opts?: InvokeOptions): Promise<GetBluetoothClientsResult>
function getBluetoothClientsOutput(args: GetBluetoothClientsOutputArgs, opts?: InvokeOptions): Output<GetBluetoothClientsResult>def get_bluetooth_clients(bluetooth_client_id: Optional[str] = None,
connectivity_history_timespan: Optional[int] = None,
include_connectivity_history: Optional[bool] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetBluetoothClientsResult
def get_bluetooth_clients_output(bluetooth_client_id: Optional[pulumi.Input[str]] = None,
connectivity_history_timespan: Optional[pulumi.Input[int]] = None,
include_connectivity_history: Optional[pulumi.Input[bool]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetBluetoothClientsResult]func GetBluetoothClients(ctx *Context, args *GetBluetoothClientsArgs, opts ...InvokeOption) (*GetBluetoothClientsResult, error)
func GetBluetoothClientsOutput(ctx *Context, args *GetBluetoothClientsOutputArgs, opts ...InvokeOption) GetBluetoothClientsResultOutput> Note: This function is named GetBluetoothClients in the Go SDK.
public static class GetBluetoothClients
{
public static Task<GetBluetoothClientsResult> InvokeAsync(GetBluetoothClientsArgs args, InvokeOptions? opts = null)
public static Output<GetBluetoothClientsResult> Invoke(GetBluetoothClientsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetBluetoothClientsResult> getBluetoothClients(GetBluetoothClientsArgs args, InvokeOptions options)
public static Output<GetBluetoothClientsResult> getBluetoothClients(GetBluetoothClientsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getBluetoothClients:getBluetoothClients
arguments:
# arguments dictionaryThe following arguments are supported:
- Bluetooth
Client stringId - bluetoothClientId path parameter. Bluetooth client ID
- Network
Id string - networkId path parameter. Network ID
- Connectivity
History intTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- Include
Connectivity boolHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- Bluetooth
Client stringId - bluetoothClientId path parameter. Bluetooth client ID
- Network
Id string - networkId path parameter. Network ID
- Connectivity
History intTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- Include
Connectivity boolHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth
Client StringId - bluetoothClientId path parameter. Bluetooth client ID
- network
Id String - networkId path parameter. Network ID
- connectivity
History IntegerTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include
Connectivity BooleanHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth
Client stringId - bluetoothClientId path parameter. Bluetooth client ID
- network
Id string - networkId path parameter. Network ID
- connectivity
History numberTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include
Connectivity booleanHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth_
client_ strid - bluetoothClientId path parameter. Bluetooth client ID
- network_
id str - networkId path parameter. Network ID
- connectivity_
history_ inttimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include_
connectivity_ boolhistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth
Client StringId - bluetoothClientId path parameter. Bluetooth client ID
- network
Id String - networkId path parameter. Network ID
- connectivity
History NumberTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include
Connectivity BooleanHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
getBluetoothClients Result
The following output properties are available:
- Bluetooth
Client stringId - bluetoothClientId path parameter. Bluetooth client ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Bluetooth Clients Item - Network
Id string - networkId path parameter. Network ID
- Connectivity
History intTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- Include
Connectivity boolHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- Bluetooth
Client stringId - bluetoothClientId path parameter. Bluetooth client ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Bluetooth Clients Item - Network
Id string - networkId path parameter. Network ID
- Connectivity
History intTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- Include
Connectivity boolHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth
Client StringId - bluetoothClientId path parameter. Bluetooth client ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Bluetooth Clients Item - network
Id String - networkId path parameter. Network ID
- connectivity
History IntegerTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include
Connectivity BooleanHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth
Client stringId - bluetoothClientId path parameter. Bluetooth client ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Bluetooth Clients Item - network
Id string - networkId path parameter. Network ID
- connectivity
History numberTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include
Connectivity booleanHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth_
client_ strid - bluetoothClientId path parameter. Bluetooth client ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Bluetooth Clients Item - network_
id str - networkId path parameter. Network ID
- connectivity_
history_ inttimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include_
connectivity_ boolhistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
- bluetooth
Client StringId - bluetoothClientId path parameter. Bluetooth client ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
- connectivity
History NumberTimespan - connectivityHistoryTimespan query parameter. The timespan, in seconds, for the connectivityHistory data. By default 1 day, 86400, will be used.
- include
Connectivity BooleanHistory - includeConnectivityHistory query parameter. Include the connectivity history for this client
Supporting Types
GetBluetoothClientsItem
- Device
Name string - Id string
- In
Sight boolAlert - Last
Seen int - Mac string
- Manufacturer string
- Name string
- Network
Id string - Out
Of boolSight Alert - Seen
By stringDevice Mac - List<string>
- Device
Name string - Id string
- In
Sight boolAlert - Last
Seen int - Mac string
- Manufacturer string
- Name string
- Network
Id string - Out
Of boolSight Alert - Seen
By stringDevice Mac - []string
- device
Name String - id String
- in
Sight BooleanAlert - last
Seen Integer - mac String
- manufacturer String
- name String
- network
Id String - out
Of BooleanSight Alert - seen
By StringDevice Mac - List<String>
- device
Name string - id string
- in
Sight booleanAlert - last
Seen number - mac string
- manufacturer string
- name string
- network
Id string - out
Of booleanSight Alert - seen
By stringDevice Mac - string[]
- device_
name str - id str
- in_
sight_ boolalert - last_
seen int - mac str
- manufacturer str
- name str
- network_
id str - out_
of_ boolsight_ alert - seen_
by_ strdevice_ mac - Sequence[str]
- device
Name String - id String
- in
Sight BooleanAlert - last
Seen Number - mac String
- manufacturer String
- name String
- network
Id String - out
Of BooleanSight Alert - seen
By StringDevice Mac - List<String>
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
